import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M469-748v494L228-496l-16 16 268 268 268-268-16-16-241 242v-494h-22Z",
    "200": "M464.62-760v501.38L222-502l-22 22 280 280 280-280-22-22-242.62 243.38V-760h-30.76Z",
    "300": "M457.31-780v513.69L212-512l-32 32 300 300 300-300-32-32-245.31 245.69V-780h-45.38Z",
    "400": "M450-800v526L202-522l-42 42 320 320 320-320-42-42-248 248v-526h-60Z",
    "500": "M445.93-806.22v522.42L201.76-527.98 154.02-480 480-154.02 806.22-480l-47.98-47.98L514.07-283.8v-522.42h-68.14Z",
    "600": "M440.39-814.7v517.52L201.43-536.13 145.87-480 480-145.87 814.7-480l-56.13-56.13-238.96 238.95V-814.7h-79.22Z",
    "700": "M433-826v511L201-547l-66 67 345 345 346-345-67-67-232 232v-511h-94Z"
  }
};
const ArrowDownwardW100 = createMaterialIcon("arrow_downward", pathData.regular[100]);
const ArrowDownwardW200 = createMaterialIcon("arrow_downward", pathData.regular[200]);
const ArrowDownwardW300 = createMaterialIcon("arrow_downward", pathData.regular[300]);
const ArrowDownwardW400 = createMaterialIcon("arrow_downward", pathData.regular[400]);
const ArrowDownwardW500 = createMaterialIcon("arrow_downward", pathData.regular[500]);
const ArrowDownwardW600 = createMaterialIcon("arrow_downward", pathData.regular[600]);
const ArrowDownwardW700 = createMaterialIcon("arrow_downward", pathData.regular[700]);
const ArrowDownwardFillW100 = createMaterialIcon("arrow_downward", pathData.regular[100]);
const ArrowDownwardFillW200 = createMaterialIcon("arrow_downward", pathData.regular[200]);
const ArrowDownwardFillW300 = createMaterialIcon("arrow_downward", pathData.regular[300]);
const ArrowDownwardFillW400 = createMaterialIcon("arrow_downward", pathData.regular[400]);
const ArrowDownwardFillW500 = createMaterialIcon("arrow_downward", pathData.regular[500]);
const ArrowDownwardFillW600 = createMaterialIcon("arrow_downward", pathData.regular[600]);
const ArrowDownwardFillW700 = createMaterialIcon("arrow_downward", pathData.regular[700]);

export { ArrowDownwardFillW100, ArrowDownwardFillW200, ArrowDownwardFillW300, ArrowDownwardFillW400, ArrowDownwardFillW500, ArrowDownwardFillW600, ArrowDownwardFillW700, ArrowDownwardW100, ArrowDownwardW200, ArrowDownwardW300, ArrowDownwardW400, ArrowDownwardW500, ArrowDownwardW600, ArrowDownwardW700 };
